import type {Collection} from "pinia-orm";
import BaseRepository from "~/stores/repositories/BaseRepository";
import AttendanceBookingReason from "~/models/Booking/AttendanceBookingReason";

class AttendanceBookingReasonRepository extends BaseRepository {
    use = AttendanceBookingReason

    /**
     * On récupère les AttendanceBookingReasons via le store
     */
    public getReasons(): Collection<AttendanceBookingReason> {
        return this.getQuery()
            .get() as Collection<AttendanceBookingReason>
    }

}

export default AttendanceBookingReasonRepository
